
Redmine - Defect #32912

Rails 6: update no longer bypass optimistic locking

2020-01-29 00:42 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

fixes test failures

 ActiveRecord::StaleObjectError: Attempted to update a stale object: Issue.

    app/models/issue.rb:214:in `create_or_update'

 https://github.com/rails/rails/commit/c14e1611e94a7461f219b4349e926592e65241ad

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20884 - 2021-04-01 16:48 - Go MAEDA

Fix "ActiveRecord::StaleObjectError: Attempted to update a stale object: Issue." (#29914, #32912).

Patch by Pavel Rosický.

History

#1 - 2020-01-29 00:50 - Pavel Rosický

I'm not sure about test_copy_should_not_copy_subtasks_twice_when_saving_twice which was introduced in 

https://github.com/redmine/redmine/commit/5003927f13f54850ca9eeac48e353df5e4e325a1

it should be probably refactored in order to reflect the new behaviour or confirm if it's still valid

#2 - 2020-01-29 08:24 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2020-03-09 23:05 - Go MAEDA

- Category set to Rails support

#4 - 2021-03-30 18:31 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

#5 - 2021-04-01 16:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed as a part of #29914.

Files

stale.patch 3.19 KB 2020-01-28 Pavel Rosický
